<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WorkFormulas](./bitburner.workformulas.md) &gt; [factionGains](./bitburner.workformulas.factiongains.md)

## WorkFormulas.factionGains() method

**Signature:**

```typescript
factionGains(person: Person, workType: FactionWorkType, favor: number): WorkStats;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

person


</td><td>

[Person](./bitburner.person.md)


</td><td>


</td></tr>
<tr><td>

workType


</td><td>

[FactionWorkType](./bitburner.factionworktype.md)


</td><td>


</td></tr>
<tr><td>

favor


</td><td>

number


</td><td>


</td></tr>
</tbody></table>

**Returns:**

[WorkStats](./bitburner.workstats.md)

The WorkStats applied every game cycle (200ms) by performing the specified faction work.

